[![RimWorld Alpha undefined](https://img.shields.io/badge/RimWorld-Alpha%20undefined-brightgreen.svg)](http://rimworldgame.com/)

Blueprints allow the quick construction of repetitive rooms/areas. 

# Features
**Create blueprint**
Use the 'Create' designator to drag over an area with existing constructions. Floors, walls and furniture will all be designated, and included in the blueprint. once created, a popup will appear with a default name, giving you the option to set a more meaningful name. 

*NOTE: Only constructions owned by you will be included, use the 'Claim' order if necessary.*

**Place blueprint**
Once you've created a blueprint, you can use the new button to place copies of that blueprint. Blueprints can be rotated as normal. With a blueprint selected, you'll see an outline of what will be build on the main view, and a list of items and total cost in the lower left info panel. In this panel, you can click on furniture and walls made of stuff to change what stuff should be used in their construction. 

*NOTE: You can shift-click with a designator selected to use the planning mode. In this case, any walls in the blueprint will be used to create a plan for your future rooms. This might be useful for mining out the required space. *

**Rename, import & export blueprints**
Once you've created a blueprint, you can right click the blueprint button to rename, remove or export the blueprint. Exported blueprints will be saved in the same location as RimWorlds save games and config files, in a directory called "Blueprints". If a blueprint has been exported, an option to remove and delete the exported blueprint will also appear. 
You can import previously exported blueprints by right clicking the 'Create' button, and selecting the blueprint from the list of available blueprints. 

*NOTE: While you can import/export blueprints between games, be careful with doing so when a blueprint contains (modded) items that are not available in the current game. If you import a blueprint containing items that are unavailable, an error will pop up, and the offending item will be deleted from the blueprint. I've tried to make sure the rest of the blueprint is still usable, but your results may vary.*

# Contributors
 - Raccoon & Haplo:	German translation
 - duduluu:	Chinese translations
 - rgponce:	Brazilian Portuguese translation
 - Bronytamin:	Russian translation
 - Nils de Lumière:	French translation
 - Butter-Knife:	Japanese translation
 - 53N4:	Spanish translations
 - Kirill:	
 - Seo. Junmin:	Korean translation
 - Proxyer:	Update Japanese translation

# Think you found a bug? 
Please read [this guide](http://steamcommunity.com/sharedfiles/filedetails/?id=725234314) before creating a bug report,
 and then create a bug report [here](https://github.com/fluffy-mods/Blueprints/issues)

# Older versions
All current and past versions of this mod can be downloaded from [GitHub](https://github.com/fluffy-mods/Blueprints/releases).

# License
All original code in this mod is licensed under the [MIT license](https://opensource.org/licenses/MIT). Do what you want, but give me credit. 
All original content (e.g. text, imagery, sounds) in this mod is licensed under the [CC-BY-SA 4.0 license](http://creativecommons.org/licenses/by-sa/4.0/).

Parts of the code in this mod, and some content may be licensed by their original authors. If this is the case, the original author & license will either be given in the source code, or be in a LICENSE file next to the content. Please do not decompile my mods, but use the original source code available on [GitHub](https://github.com/fluffy-mods/Blueprints/), so license information in the source code is preserved.

# Are you enjoying my mods?
Show your appreciation by buying me a coffee (or contribute towards a nice single malt).

[![Buy Me a Coffee](http://i.imgur.com/EjWiUwx.gif)](https://ko-fi.com/fluffymods)

[![I Have a Black Dog](https://i.ibb.co/ss59Rwy/New-Project-2.png)](https://www.youtube.com/watch?v=XiCrniLQGYc)

# Version
This is version 2.9.104, for RimWorld 1.0.2408.